Runs
Retrieve a revision
Scope: run:read
Authorization
bearerAuth AuthorizationBearer <token>
Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer admp_...
In: header
Path Parameters
run_id*run_id
The run. UUID or run-<suffix> display ID.
Length
1 <= lengthrevision_id*revision_id
The revision (UUID).
Format
uuidResponse Body
application/json
curl -X GET "https://api.admiral.io/api/v1/runs/string/revisions/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "revision": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "run_id": "dded282c-8ebd-44cf-8ba5-9a234973d1ec", "component_id": "41afafe5-2a48-424a-baef-34c2ad44ef7b", "component_name": "string", "kind": "REVISION_KIND_UNSPECIFIED", "status": "REVISION_STATUS_UNSPECIFIED", "change_type": "REVISION_CHANGE_TYPE_UNSPECIFIED", "previous_revision_id": "string", "source_id": "string", "ref": "string", "resolved_values": "string", "depends_on": [ "string" ], "blocked_by": [ "string" ], "plan_summary": { "creates": 0, "updates": 0, "deletes": 0, "noops": 0 }, "available_phases": [ "REVISION_PHASE_UNSPECIFIED" ], "error_message": "string", "retry_count": 0, "started_at": "2023-01-15T01:30:15.01Z", "completed_at": "2023-01-15T01:30:15.01Z", "working_directory": "string", "created_at": "2023-01-15T01:30:15.01Z", "resolved_commit": "string", "type": "string" }}Create a run POST
The server resolves all components (with environment overrides applied), builds the dependency DAG, and begins rendering and executing revisions. Concurrency: only one run can be active per application+environment at a time. If a run is already in an active state (PENDING, QUEUED, PLANNING, PLANNED, or APPLYING), the new run is queued and will start automatically when the current run completes or is canceled. Scope: `run:write`
Retrieve a run GET
Scope: `run:read`